Skip to content
Back to top
View this page

# ChangeNoteInfo

class chango.ChangeNoteInfo(uid, version, file_path)

  Bases: `object`

  Objects of this type represents metadata about a change note.

  Parameters:

    - uid (`str`) – Unique identifier of this change note.

    - version (`Version` | `None`) – The version the change note belongs to. May be `None` if the change note is not yet released.

    - file_path (`pathlib.Path`) – The file path this change note is stored at.

  uid

    Unique identifier of this change note.

    Type:

      `str`

  version

    The version the change note belongs to. May be `None` if the change note is not yet released.

    Type:

      `Version` | `None`

  file_path

    The file path this change note is stored at.

    Type:

      `pathlib.Path`